SIntensityStats Struct Reference
Uncategorized

data structure to store te results of a statistical analyis of images More...

`#include <mia/core/seriesstats.hh>`

## Data Fields

double | max
| masimum values
double | mean
| mean of all values
double | min
| minimum value
size_t | n
| number of values
double | sum
| Sum of all values.
double | sumsq
| Sum of the squares of all values.
double | variation
| variation of the values

## Detailed Description

data structure to store te results of a statistical analyis of images

Definition at line 33 of file seriesstats.hh.

## Field Documentation

## max

double SIntensityStats::max

masimum values

Definition at line 45 of file seriesstats.hh.

## mean

double SIntensityStats::mean

mean of all values

Definition at line 39 of file seriesstats.hh.

## min

double SIntensityStats::min

minimum value

Definition at line 43 of file seriesstats.hh.

## n

size_t SIntensityStats::n

number of values

Definition at line 47 of file seriesstats.hh.

Referenced by FIntensityStatsAccumulator::operator()().

## sum

double SIntensityStats::sum

Sum of all values.

Definition at line 35 of file seriesstats.hh.

## sumsq

double SIntensityStats::sumsq

Sum of the squares of all values.

Definition at line 37 of file seriesstats.hh.

## variation

double SIntensityStats::variation

variation of the values

Definition at line 41 of file seriesstats.hh.

The documentation for this struct was generated from the following file:

- seriesstats.hh